<sqtm-core-customisable-dialog
  #coreCustomDialog
  [dialogId]="'bind-environment-variable-dialog'"
  [titleKey]="dialogRef.data.titleKey"
>
  <sqtm-core-dialog-body #element>
    @if (variablesAreAvailable) {
      <ng-container style="overflow: hidden">
        <div class="m-b-10 environment-variable-binding-dialog">
          <sqtm-core-grouped-multi-list
            (itemSelectionChanged)="handleItemSelectionChange($event)"
            [virtualScroll]="false"
            [separateSelectedItems]="true"
            [workspace]="'administration-workspace'"
            [listItems]="listItems"
            [width]="560"
            [height]="375"
            [boxShadow]="'none'"
            [numberOfUngroupedItemsToDisplay]="10"
          >
          </sqtm-core-grouped-multi-list>
        </div>
      </ng-container>
    } @else {
      <div>
        <span class="message">
          {{
            'sqtm-core.administration-workspace.servers.test-automation-servers.environment-variables.dialog.message.environment-variables-already-bound'
              | translate
          }}
        </span>
      </div>
    }

    <ng-template #environmentVariableItemTemplate let-item="item">
      <span
        class="environment-variable-label m-l-5 m-r-10 txt-ellipsis"
        nz-tooltip
        [sqtmCoreLabelTooltip]="item.label"
        >{{ item.label }}</span
      >
      <span class="environment-variable-type"
        >({{ getEnvironmentVariableTypeLabelKey(item.id) | translate }})</span
      >
    </ng-template>
  </sqtm-core-dialog-body>

  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'confirm'"
      [disabled]="!hasSelectedItems()"
      nz-button
      nzType="primary"
      (click)="confirm()"
    >
      {{ 'sqtm-core.generic.label.confirm' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
